Package Details: newm-git 0.3alpha-3

Git Clone URL: https://aur.archlinux.org/newm-git.git (read-only, click to copy)
Package Base: newm-git
Description: Wayland compositor
Upstream URL: https://github.com/jbuchermn/newm
Keywords: thefuzz
Licenses: MIT
Conflicts: newm
Provides: newm
Submitter: jbuchermn
Maintainer: jbuchermn (Gamma)
Last Packager: Gamma
Votes: 3
Popularity: 0.148346
First Submitted: 2021-10-09 12:14 (UTC)
Last Updated: 2022-06-29 17:25 (UTC)

Latest Comments

1 2 Next › Last »

catman commented on 2022-09-04 06:12 (UTC)

_____ ERROR collecting test_thefuzz_hypothesis.py ______ ImportError while importing test module '/home/catman/.cache/yay/python-thefuzz/src/thefuzz/test_thefuzz_hypothesis.py'. Hint: make sure your test modules/packages have valid Python names. Traceback: /usr/lib/python3.10/site-packages/hypothesis/internal/compat.py:18: in <module> BaseExceptionGroup = BaseExceptionGroup E NameError: name 'BaseExceptionGroup' is not defined

During handling of the above exception, another exception occurred: /usr/lib/python3.10/importlib/init.py:126: in import_module return _bootstrap._gcd_import(name[level:], package, level) test_thefuzz_hypothesis.py:5: in <module> from hypothesis import given, assume, settings /usr/lib/python3.10/site-packages/hypothesis/init.py:19: in <module> from hypothesis._settings import HealthCheck, Phase, Verbosity, settings /usr/lib/python3.10/site-packages/hypothesis/_settings.py:32: in <module> from hypothesis.internal.reflection import get_pretty_function_description /usr/lib/python3.10/site-packages/hypothesis/internal/reflection.py:29: in <module> from hypothesis.internal.compat import is_typed_named_tuple, update_code_location /usr/lib/python3.10/site-packages/hypothesis/internal/compat.py:21: in <module> from exceptiongroup import ( E ModuleNotFoundError: No module named 'exceptiongroup'

Gamma commented on 2022-06-28 19:22 (UTC)

liamtimms: I bumped the pkgrel and added python-dasbus to the .SRCINFO. It should build now.

liamtimms commented on 2022-05-30 18:22 (UTC)

Currently failing to build due to missing a dependency:

==> Missing dependencies:
  -> python-dasbus
==> Checking buildtime dependencies...
==> ERROR: Could not resolve all dependencies.
error: failed to build 'newm-git-0.3alpha-1':
error: packages failed to build: newm-git-0.3alpha-1

alex55761 commented on 2022-04-12 14:08 (UTC)

Error while installing,

==> ERROR: Could not resolve all dependencies. -> error making: newm-git

jbuchermn commented on 2022-03-23 16:20 (UTC)

Until now, noones taken the time to #ifdef out all xwayland stuff - that's why.

p00f commented on 2022-03-23 14:55 (UTC)

why is xorg-xwayland a hard dependency?

jbuchermn commented on 2022-02-26 09:35 (UTC)

Can you open a github issue? newm doesn't depend on a packaged wlroots at all - it pulls it in as a git submodule. I recently introduced a bug into master, checking out the wron wlroots commit - but this should be fixed: https://github.com/jbuchermn/pywm/commit/8171cd7055465544333bab0d3ac22b68da718d48

ringo commented on 2022-02-25 19:01 (UTC)

Could it be that this packages depends on wlroots-git? I try to update the already installed package and buildings fails with a bunch of wlroots references. I currently have wlroot 0.15.1-2

iCulture commented on 2021-12-05 12:00 (UTC)

Hey, thank you for your reply and of course for your awesome work! This WM looks and feels just freaking awesome :)

jbuchermn commented on 2021-12-04 22:07 (UTC)

Hey, v0.2 really only is missing a handful of bugfixes and some documentation. I'm hoping to merge it within the next week. Maybe gitlab is an idea (wlroots moved there after all), but I don't have concrete plans at the moment..